$brand-primary: #026bfa;
$black: #33343c;
$dark-gray: #595a60;

@media all {
  .campaign-report {
    box-shadow: 0 1px 3px rgba(50, 51, 53, 0.2);
    background: #fff;
    border-radius: 6px;
    overflow: hidden;
    position: relative;
    margin-top: 50px;

    h1 {
      font-size: 38px;
      font-weight: bold;
      color: $brand-primary;

      & + p {
        font-size: 18px;

        span {
          font-weight: bold;
          margin-right: 20px;
          color: $black;
        }
      }
    }

    h3 {
      font-size: 26px;
      font-weight: bold;
      color: $brand-primary;
    }
  }

  .report-header {
    position: relative;
    text-align: center;
    padding: 90px 0 30px;
    width: 100%;
    display: inline-block;

    &:before {
      content: "";
      background: url("top-left.png") top left no-repeat;
      width: 110px;
      height: 323px;
      position: absolute;
      left: 0;
      top: 0;
    }

    &:after {
      content: "";
      background: url("top-right.png") top left no-repeat;
      width: 671px;
      height: 194px;
      position: absolute;
      right: 0;
      top: 0;
    }
  }

  .section {
    padding: 40px;
  }

  .assignments-block {
    background: linear-gradient(0deg, #f3fbff 0%, #ffffff00 100%);

    .assignments {
      display: flex;
      flex-flow: row wrap;

      > div {
        margin-bottom: 20px;
      }
    }
  }

  .section-header {
    position: relative;
    text-align: center;
    padding: 50px;
    width: 100%;
    display: inline-block;

    h2 {
      font-size: 34px;
      font-weight: bold;
      color: $brand-primary;

      & + p {
        font-size: 18px;

        span {
          font-weight: bold;
          margin-right: 20px;
          color: $black;
        }
      }
    }
  }

  .funnel-chart .g2-tooltip {
    display: none !important;
  }

  .funnel-stats {
    display: flex;
    flex-direction: row;
    margin-top: 40px;

    > div {
      width: 20%;
      position: relative;
      padding-left: 20px;
      padding-top: 10px;

      &:first-of-type {
        padding-left: 0;
      }

      &:last-of-type {
        &:before {
          display: none;
        }
      }

      &:before {
        content: "";
        position: absolute;
        right: 0;
        top: -16px;
        border: 1px solid #ecedf7;
        height: 100%;
      }

      h4 {
        text-transform: none;
        font-size: 18px;
      }

      h2 {
        color: #0f6bf7;
        font-size: 36px;
      }
    }
  }

  .costs {
    > div:first-of-type {
      position: relative;

      &:before {
        background: url("costs-left.png") top left no-repeat;
        width: 234px;
        height: 91px;
        position: absolute;
        right: 120px;
        bottom: -30px;
        content: "";
        z-index: 0;
      }
    }

    > div:last-of-type {
      position: relative;

      &:before {
        background: url("costs-right.png") top left no-repeat;
        width: 352px;
        height: 129px;
        position: absolute;
        left: 70px;
        bottom: -30px;
        content: "";
        z-index: 0;
      }
    }

    .cost-card {
      background: #f7f9fd;
      padding: 25px 30px;
      position: relative;

      p {
        color: $dark-gray;
        font-size: 18px;
        margin-bottom: 10px;
      }

      h3 {
        margin-bottom: 0;
      }
    }
  }

  .assignments {
    .ant-card-head-wrapper {
      display: flex;
      align-items: center;
    }

    .ant-card-head-title {
      font-size: 22px;
      color: $black;
    }

    .ant-card-extra {
      a {
        text-transform: uppercase;
        font-size: 15px;
      }
    }

    .assignment-card {
      p {
        font-size: 18px;
        color: $black;
        margin-bottom: 10px;
      }

      h3 {
        margin-bottom: 0;
      }

      .ant-card-body {
        padding: 10px 22px 30px;
      }
    }

    .ant-card-head {
      border-bottom: 0;
      padding: 10px 24px;
    }

    > div:nth-child(1) {
      position: relative;

      &:before {
        background: url("assignments-left.png") top left no-repeat;
        background-size: contain;
        width: 269px;
        height: 230px;
        position: absolute;
        left: -10px;
        top: -30px;
        content: "";
        z-index: 0;
      }
    }

    > div:nth-child(2) {
      position: relative;

      &:before {
        background: url("assignments-right.png") top left no-repeat;
        background-size: contain;
        width: 211px;
        height: 230px;
        position: absolute;
        right: -40px;
        top: -30px;
        content: "";
        z-index: 0;
      }
    }
  }

  .aquired-value {
    border: 8px solid #246ef1;

    &:before {
      content: "";
      background: url("value-top.png") top left no-repeat;
      width: 340px;
      height: 52px;
      top: -59px;
      left: calc(50% - 170px);
      position: absolute;
    }

    .bottom-illu {
      background: url("value-bottom.png") top left no-repeat;
      width: 413px;
      height: 73px;
      bottom: -80px;
      left: calc(50% - 206px);
      position: absolute;
    }

    .ant-spin-container {
      box-shadow: none;
      background: none;
    }

    .ant-table-thead > tr > th,
    .ant-table-tbody > tr > td {
      border-bottom: 0;
      background: none !important;
    }

    .ant-table-thead > tr > th {
      font-size: 16px;
      padding-bottom: 0;
      padding-top: 30px;
    }

    .ant-table-tbody > tr > td {
      padding-top: 0;
      font-size: 28px;
      font-weight: bold;
      color: $brand-primary;
    }
  }

  .ant-table-wrapper.gray-bg {
    background: #f5f6f9;
    border-radius: 6px;
  }

  .roi {
    .roi-card {
      border: 2px solid #c3cedf;
      padding: 30px;
      border-radius: 6px;

      p {
        font-size: 18px;
      }
    }
  }

  .post-grid {
    padding: 0;

    .post-container {
      background: #F0F2F4;
      margin-bottom: 0;

      &.left-aligned {
        flex-direction: row-reverse;
      }
    }

    .post-meta-container {
      display: flex;
      align-items: center;
      justify-content: center;
      min-height: 600px;
      position: relative;
      z-index: 2;
      padding: 80px 30px;

      .post-data {
        border-top: 1px solid #E6EBF3;
        padding: 20px 0px 0 20px;
        display: flex;
        justify-content: space-between;

        h2 {
          font-size: 22px;
        }
        h4 {
          white-space: nowrap;
        }
      }

      .post-meta {
        background: #fff;
        border-radius: 4px;
        box-shadow: 0 3px 9px rgba(0, 0, 0, 0.1), 0 1px 2px rgba(0, 0, 0, 0.1), 0 10px 30px rgba(0, 0, 0, 0.1);
        width: 360px;
        padding: 20px 20px 20px 0;
        margin-right: -15px;
        .post-copy {
          max-height: 220px;
          overflow: auto;
          display: block;
          position: relative;
          max-width: 300px;

          &:after {
            background: linear-gradient(to top, #fff 0%, rgba(255, 255, 255, 0) 100%);
            height: 30px;
            width: 100%;
            position: absolute;
            bottom: 0;
            left: 0;
          }
        }

        &.left-aligned {
          bottom: 50%;
          right: calc(-100% + 50px);
          transform: translateY(50%);
        }

        .ant-avatar {
          margin-left: -30px;
          margin-right: 20px;
          flex: 0 0 60px;
          bottom: 10px;
        }

        p {
          margin-bottom: 0;
        }
      }
    }

    .section-header {
      border-bottom: 5px solid #dc51bc;
      margin-bottom: 5px;
    }
  }
}

.ending {
  background: #F8FAFD;
  padding: 30px;
  width: 100%;
  text-align: center;
  margin-bottom: 50px;

  p {
    max-width: 780px;
    font-size: 17px;
    color: #fff;
    font-weight: 600;
    margin: 0 auto;
  }
}
.post-image {
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.campaign-report-ending {
  background: #EF3CC1;
  padding: 30px;
  width: 100%;
  text-align: center;
  margin-bottom: 50px;

  p {
    max-width: 780px;
    font-size: 17px;
    color: #fff;
    font-weight: 600;
    margin: 0 auto;
  }
}
.post-image {
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

.video-react .video-react-big-play-button {
  border: none !important;
  background-color: transparent !important;
}

.video-react .video-react-big-play-button:before {
  content: "" !important;
  background-image: url("../../../../assets/img/logo/video-button.png");
  background-repeat: no-repeat;
  height: 7rem !important;
  width: 4em !important;
}

.video-react {
  width: 100% !important;
  height: 100% !important;
  .video-react-video {
    object-fit: cover;
  }
}
